# KSPGMRESCGSRefinementType

How the classical (unmodified) Gram-Schmidt is performed.

### Synopsis

    typedef enum {KSP_GMRES_CGS_REFINE_NEVER, KSP_GMRES_CGS_REFINE_IFNEEDED, KSP_GMRES_CGS_REFINE_ALWAYS} KSPGMRESCGSRefinementType;

### See Also

KSPGMRESClassicalGramSchmidtOrthogonalization(), KSPGMRESSetOrthogonalization(),
KSPGMRESSetCGSRefinementType(), KSPGMRESModifiedGramSchmidtOrthogonalization()

Level:advanced
Location: src/ksp/ksp/../../../include/petscksp.h
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages